
QGIS Application - Bug report #17657

Failure  when saving a style of a point layer in a geopackage file

2017-12-08 01:10 PM - Patricio Soriano

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25554

Description

User Feedback

Failure and closure of QGIS when saving a style of a point layer in a geopackage file

(Perdón por la traducción)

Report Details

Crash ID: 837789388626a73124a90a0c8166025f61032ed2

Stack Trace

QBasicMutex::unlockInternal :

saveStyle qgsogrprovider.cpp:5099

QgsVectorLayer::saveStyleToDatabase qgsvectorlayer.cpp:4259

QgsVectorLayerProperties::saveStyleAs qgsvectorlayerproperties.cpp:996

QgsVectorLayerProperties::saveStyleAsMenuTriggered qgsvectorlayerproperties.cpp:971

QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<QAction * __ptr64>,void,void (__cdecl

QgsVectorLayerProperties::*)(QAction * __ptr64) __ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsVectorLayerProperties::*)(QAction * __ptr64)

__ptr64>::call<QtPrivate::List<QAction * __ptr64>,void> qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsVectorLayerProperties::*)(QAction * __ptr64) __ptr64,QtPrivate::List<QAction *

__ptr64>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QMenu::~QMenu :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QDialogPrivate::operator= :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties qgisapp.cpp:12546

QgisApp::layerProperties qgisapp.cpp:7066

QgisApp::qt_static_metacall moc_qgisapp.cpp:1435

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QgsLayerTreeView::contextMenuEvent qgslayertreeview.cpp:124

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :
QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1398

WinMain mainwin.cpp:128

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:d7485a4349

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2017-12-09 02:24 PM - Alexander Petrov

Same with line and polygon styles. QGIS always crashes when trying to save style to geopackage. But as a result style in geopackage is always saved.

QGIS 2.99 on Windows 10

#2 - 2018-07-05 08:55 AM - Alexander Petrov

Alexander Petrov wrote:

Same with line and polygon styles. QGIS always crashes when trying to save style to geopackage. But as a result style in geopackage is always

saved.

QGIS 2.99 on Windows 10

The problem was fixed for me in 3.0 already.

#3 - 2018-07-05 11:08 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to Closed
Files

BCA_SIGPG.gpkg 480 KB 2017-12-08 Patricio Soriano
